# Standard: Always have a blank line before a `return` statement

`return` statements should always have a blank line before them except in single statement blocks (e.g. a control structure like `if`, or a getter method).

## Reasoning

`return` statements are important when reading functions and methods and should be separated from the surrounding code.

## Good

```php
function one()
{
    $a = 'a';
    $b = 'bee';
    
    return $a . $b;
}

function two()
{
    return 'two';
}

function three()
{
    $a = 'a';
    if ($a === 'a') {
        return 'bee';
    }
    
    return 'c';
}
```

## Bad

```php
function one()
{
    $a = 'a';
    $b = 'bee';
    return $a . $b;
}

function two()
{

    return 'two';
}

function three()
{
    $a = 'a';
    if ($a === 'a') {
    
        return 'bee';
    }
    return 'c';
}
```